<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta name="viewport" content="width=device-width,initial-scale=1"/>
    <meta charset="UTF-8"/>
    <title>订单列表</title>

    <link th:href="@{/Bootstrap/css/orderlist.css}" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://cdn.bootcss.com/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://cdn.bootcss.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
</head>

<body>
<nav aria-label="Page navigation example">
    <ul class="pagination justify-content-end">

        <li th:class="${indexPage==1}?'page-item disabled' : 'page-item'">
            <a class="page-link" th:href="@{'demo?page=' + ${indexPage-1}}" aria-label="Previous">
                <span aria-hidden="true">&laquo;</span>
                <span class="sr-only">Previous</span>
            </a>
        </li>

        <li class="page-item" th:if="${indexPage-3 >=1}">
            <a class="page-link"
               th:href="@{'demo?page=' + ${indexPage-3}}"
               th:text="${indexPage -3}">1</a>
        </li>
        <li class="page-item" th:if="${indexPage-2 >=1}">
            <a class="page-link"
               th:href="@{'demo?page=' + ${indexPage-2}}"
               th:text="${indexPage -2}">1</a></li>
        <li class="page-item" th:if="${indexPage-1 >=1}">
            <a class="page-link"
               th:href="@{'demo?page=' + ${indexPage-1}}"
               th:text="${indexPage -1}">1</a></li>
        <li class="page-item active">
            <a class="page-link" href="#" th:text="${indexPage}">1</a>
        </li>
        <li class="page-item" th:if="${indexPage+1 <=totalPage}">
            <a class="page-link"
               th:href="@{'demo?page=' + ${indexPage+1}}"
               th:text="${indexPage +1}">1</a></li>
        <li class="page-item" th:if="${indexPage+2 <=totalPage}">
            <a class="page-link"
               th:href="@{'demo?page=' + ${indexPage+2}}"
               th:text="${indexPage +2}">1</a></li>
        <li class="page-item" th:if="${indexPage+3 <=totalPage}">
            <a class="page-link"
               th:href="@{'demo?page=' + ${indexPage+3}}"
               th:text="${indexPage +3}">1</a></li>


        <li th:class="${indexPage==totalPage}?'page-item disabled' : 'page-item'">
            <a class="page-link" th:href="@{'demo?page=' + ${indexPage+1}}" aria-label="Next">
                <span aria-hidden="true">&raquo;</span>
                <span class="sr-only">Next</span>
            </a>
        </li>
    </ul>
</nav>
<script th:src="@{bootstrap/js/jquery.3.3.1.min.js}"></script>
</body>

</html>